Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class FolderNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.FolderNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class FolderNotFoundException
extends MessagingException

This exception is thrown by Folder methods, when those methods are invoked on a non existent folder.

See Also:
  Serialized Form

Constructor Summary
`FolderNotFoundException()` Constructs a MessagingException with no detail message.
`FolderNotFoundException(Folder folder)` Constructs a MessagingException with the specified folder.
`FolderNotFoundException(Folder folder, java.lang.String s)` Constructs a MessagingException with the specified folder and the specified detail message.
`FolderNotFoundException(java.lang.String s, Folder folder)` Constructs a MessagingException with the specified detail message and the specified folder.

Method Summary
`Folder` | `getFolder()` Returns the offending Folder object.

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FolderNotFoundException

    public FolderNotFoundException()

  Constructs a MessagingException with no detail message.

### FolderNotFoundException

    public FolderNotFoundException(Folder folder)

  Constructs a MessagingException with the specified folder.
  Parameters:
    `folder` - the Folder
  Since:
    JavaMail 1.2

### FolderNotFoundException

    public FolderNotFoundException(Folder folder,
                                   java.lang.String s)

  Constructs a MessagingException with the specified folder and the specified detail message.
  Parameters:
    `folder` - the Folder
    `s` - the detail message
  Since:
    JavaMail 1.2

### FolderNotFoundException

    public FolderNotFoundException(java.lang.String s,
                                   Folder folder)

  Constructs a MessagingException with the specified detail message and the specified folder.
  Parameters:
    `s` - the detail message
    `folder` - the Folder

Method Detail

### getFolder

    public Folder getFolder()

  Returns the offending Folder object.
  Returns:
    the Folder object. Note that the returned value can be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD